/**
 * All rights Reserved, Designed By www.freemud.cn
 *
 * @Title: SexType
 * @Package cn.freemud.enums
 * @Description:
 * @author: liming.guo
 * @date: 2018/7/4 10:01
 * @version V1.0
 * @Copyright: 2018 www.freemud.cn Inc. All rights reserved.
 * 注意：本内容仅限于上海非码科技内部传阅，禁止外泄以及用于其他的商业目
 */
package cn.freemud.enums;

public enum SexType {

    UNDEFINED(0, "未知"),
    MALE(1, "男"),
    FEMALE(2, "女");

    private Integer code;

    private String desc;

    SexType(Integer code, String desc) {
        this.code = code;
        this.desc = desc;
    }

    public static SexType getByCode(Integer code) {
        if (code == null) {
            return null;
        }
        for (SexType type : values()) {
            if (type.getCode().equals(code)) {
                return type;
            }
        }
        return null;
    }


    public Integer getCode() {
        return code;
    }

    public void setCode(Integer code) {
        this.code = code;
    }

    public String getDesc() {
        return desc;
    }

    public void setDesc(String desc) {
        this.desc = desc;
    }
}
